<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "partner_site_entity_event_condition".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "PartnerSiteEntityEventCondition".
 *
 * Columns in table "partner_site_entity_event_condition" available as properties of the model,
 * followed by relations of table "partner_site_entity_event_condition" available as properties of the model.
 *
 * @property integer $id
 * @property string $name
 * @property string $query
 *
 * @property PartnerSiteEntityEvent[] $partnerSiteEntityEvents
 */
abstract class BasePartnerSiteEntityEventCondition extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'partner_site_entity_event_condition';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'PartnerSiteEntityEventCondition|PartnerSiteEntityEventConditions', $n);
    }

    public static function representingColumn()
    {
        return 'name';
    }

    public function rules()
    {
        return array(
            array('name', 'length', 'max' => 255),
            array('query', 'safe'),
            array('name, query', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, name, query', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
            'partnerSiteEntityEvents' => array(self::HAS_MANY, 'PartnerSiteEntityEvent',
                'partner_site_entity_event_condition_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'name' => Yii::t('app', 'Name'),
            'query' => Yii::t('app', 'Query'),
            'partnerSiteEntityEvents' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('name', $this->name, true);
        $criteria->compare('query', $this->query, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
